# Trait clap::error::ErrorFormatter

source · [−]

    pub trait ErrorFormatter: Sized {
        fn format_error(error: &Error<Self>) -> StyledStr;
    }

Expand description

Defines how to format an error for displaying to the user

## Required Methods

source

#### fn format_error(error: &Error<Self>) -> StyledStr

Stylize the error for the terminal

## Implementors

source

### impl ErrorFormatter for KindFormatter

source

### impl ErrorFormatter for RichFormatter